module DTK::State
  class Component::Attribute::Influxdb
    class Measurement
      class Attributes < self
        def write(value, params_hash = {}, timestamp)
          checked_params_hash = check_params_hash(params_hash)
          write_point(value, checked_params_hash, timestamp)
        end

        protected

        def required_params
          %i[namespace component_name assembly_name attribute_name task_id]
        end
      end
    end
  end
end
