module DTK::State
  class Component::Attribute
    class KubeCrd < self
      def get(namespace, assembly_name, component_name, attribute_name, opts = {})
        assembly = Component.get(namespace, assembly_name, component_name, opts)
        attribute = assembly.attributes.find{ |attribute| attribute.name == attribute_name }
        Attribute.new(attribute_name, attribute, assembly)
      end
    end
  end
end